Back to top

API Documentation

< Back

Kuali Research REST APIs - Negotiations

Research Negotiation

Negotiation Activities

Get Negotiation Activities by Key
GET/negotiation/api/v1/negotiation-activities/(key)

Example URI

GET /negotiation/api/v1/negotiation-activities/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "activityId": "(val)",
  "negotiationId": "(val)",
  "activityTypeId": "(val)",
  "locationId": "(val)",
  "startDate": "(val)",
  "endDate": "(val)",
  "createDate": "(val)",
  "followupDate": "(val)",
  "lastModifiedUsername": "(val)",
  "lastModifiedDate": "(val)",
  "description": "(val)",
  "restricted": "(val)",
  "_primaryKey": "(val)"
}

Get All Negotiation Activities
GET/negotiation/api/v1/negotiation-activities/

Example URI

GET /negotiation/api/v1/negotiation-activities/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "activityId": "(val)",
    "negotiationId": "(val)",
    "activityTypeId": "(val)",
    "locationId": "(val)",
    "startDate": "(val)",
    "endDate": "(val)",
    "createDate": "(val)",
    "followupDate": "(val)",
    "lastModifiedUsername": "(val)",
    "lastModifiedDate": "(val)",
    "description": "(val)",
    "restricted": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "activityId": "(val)",
    "negotiationId": "(val)",
    "activityTypeId": "(val)",
    "locationId": "(val)",
    "startDate": "(val)",
    "endDate": "(val)",
    "createDate": "(val)",
    "followupDate": "(val)",
    "lastModifiedUsername": "(val)",
    "lastModifiedDate": "(val)",
    "description": "(val)",
    "restricted": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Negotiation Activities with Filtering
GET/negotiation/api/v1/negotiation-activities/

Example URI

GET /negotiation/api/v1/negotiation-activities/
URI Parameters
HideShow
activityId
string (optional) 

negotiationActivityId. Maximum length is 22.

negotiationId
string (optional) 
activityTypeId
string (optional) 

Activity Type. Maximum length is 22.

locationId
string (optional) 

Location. Maximum length is 22.

startDate
string (optional) 

Activity Start Date. Maximum length is 21.

endDate
string (optional) 

Activity End Date. Maximum length is 21.

createDate
string (optional) 

Create Date. Maximum length is 21.

followupDate
string (optional) 

Follow-up Date. Maximum length is 21.

lastModifiedUsername
string (optional) 

Last Update By. Maximum length is 40.

lastModifiedDate
string (optional) 

Last Update. Maximum length is 21.

description
string (optional) 

Activity Description. Maximum length is 2000.

restricted
string (optional) 
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "activityId": "(val)",
    "negotiationId": "(val)",
    "activityTypeId": "(val)",
    "locationId": "(val)",
    "startDate": "(val)",
    "endDate": "(val)",
    "createDate": "(val)",
    "followupDate": "(val)",
    "lastModifiedUsername": "(val)",
    "lastModifiedDate": "(val)",
    "description": "(val)",
    "restricted": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "activityId": "(val)",
    "negotiationId": "(val)",
    "activityTypeId": "(val)",
    "locationId": "(val)",
    "startDate": "(val)",
    "endDate": "(val)",
    "createDate": "(val)",
    "followupDate": "(val)",
    "lastModifiedUsername": "(val)",
    "lastModifiedDate": "(val)",
    "description": "(val)",
    "restricted": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Negotiation Activities
GET/negotiation/api/v1/negotiation-activities/

Example URI

GET /negotiation/api/v1/negotiation-activities/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "activityId",
    "negotiationId",
    "activityTypeId",
    "locationId",
    "startDate",
    "endDate",
    "createDate",
    "followupDate",
    "lastModifiedUsername",
    "lastModifiedDate",
    "description",
    "restricted"
  ],
  "primaryKey": "activityId"
}

Get Blueprint API specification for Negotiation Activities
GET/negotiation/api/v1/negotiation-activities/

Example URI

GET /negotiation/api/v1/negotiation-activities/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Negotiation Activities.md"
transfer-encoding: chunked

Update Negotiation Activities
PUT/negotiation/api/v1/negotiation-activities/(key)

Example URI

PUT /negotiation/api/v1/negotiation-activities/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "activityId": "(val)",
  "negotiationId": "(val)",
  "activityTypeId": "(val)",
  "locationId": "(val)",
  "startDate": "(val)",
  "endDate": "(val)",
  "createDate": "(val)",
  "followupDate": "(val)",
  "lastModifiedUsername": "(val)",
  "lastModifiedDate": "(val)",
  "description": "(val)",
  "restricted": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Negotiation Activities
PUT/negotiation/api/v1/negotiation-activities/

Example URI

PUT /negotiation/api/v1/negotiation-activities/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "activityId": "(val)",
    "negotiationId": "(val)",
    "activityTypeId": "(val)",
    "locationId": "(val)",
    "startDate": "(val)",
    "endDate": "(val)",
    "createDate": "(val)",
    "followupDate": "(val)",
    "lastModifiedUsername": "(val)",
    "lastModifiedDate": "(val)",
    "description": "(val)",
    "restricted": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "activityId": "(val)",
    "negotiationId": "(val)",
    "activityTypeId": "(val)",
    "locationId": "(val)",
    "startDate": "(val)",
    "endDate": "(val)",
    "createDate": "(val)",
    "followupDate": "(val)",
    "lastModifiedUsername": "(val)",
    "lastModifiedDate": "(val)",
    "description": "(val)",
    "restricted": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Negotiation Activities
PATCH/negotiation/api/v1/negotiation-activities/(key)

Example URI

PATCH /negotiation/api/v1/negotiation-activities/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "activityId": "(val)",
  "negotiationId": "(val)",
  "activityTypeId": "(val)",
  "locationId": "(val)",
  "startDate": "(val)",
  "endDate": "(val)",
  "createDate": "(val)",
  "followupDate": "(val)",
  "lastModifiedUsername": "(val)",
  "lastModifiedDate": "(val)",
  "description": "(val)",
  "restricted": "(val)",
  "_primaryKey": "(val)"
}
Response  204
HideShow
Body
{
  "activityId": "(val)",
  "negotiationId": "(val)",
  "activityTypeId": "(val)",
  "locationId": "(val)",
  "startDate": "(val)",
  "endDate": "(val)",
  "createDate": "(val)",
  "followupDate": "(val)",
  "lastModifiedUsername": "(val)",
  "lastModifiedDate": "(val)",
  "description": "(val)",
  "restricted": "(val)",
  "_primaryKey": "(val)"
}

Insert Negotiation Activities
POST/negotiation/api/v1/negotiation-activities/

Example URI

POST /negotiation/api/v1/negotiation-activities/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "activityId": "(val)",
  "negotiationId": "(val)",
  "activityTypeId": "(val)",
  "locationId": "(val)",
  "startDate": "(val)",
  "endDate": "(val)",
  "createDate": "(val)",
  "followupDate": "(val)",
  "lastModifiedUsername": "(val)",
  "lastModifiedDate": "(val)",
  "description": "(val)",
  "restricted": "(val)",
  "_primaryKey": "(val)"
}
Response  201
HideShow
Body
{
  "activityId": "(val)",
  "negotiationId": "(val)",
  "activityTypeId": "(val)",
  "locationId": "(val)",
  "startDate": "(val)",
  "endDate": "(val)",
  "createDate": "(val)",
  "followupDate": "(val)",
  "lastModifiedUsername": "(val)",
  "lastModifiedDate": "(val)",
  "description": "(val)",
  "restricted": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Negotiation Activities
POST/negotiation/api/v1/negotiation-activities/

Example URI

POST /negotiation/api/v1/negotiation-activities/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "activityId": "(val)",
    "negotiationId": "(val)",
    "activityTypeId": "(val)",
    "locationId": "(val)",
    "startDate": "(val)",
    "endDate": "(val)",
    "createDate": "(val)",
    "followupDate": "(val)",
    "lastModifiedUsername": "(val)",
    "lastModifiedDate": "(val)",
    "description": "(val)",
    "restricted": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "activityId": "(val)",
    "negotiationId": "(val)",
    "activityTypeId": "(val)",
    "locationId": "(val)",
    "startDate": "(val)",
    "endDate": "(val)",
    "createDate": "(val)",
    "followupDate": "(val)",
    "lastModifiedUsername": "(val)",
    "lastModifiedDate": "(val)",
    "description": "(val)",
    "restricted": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "activityId": "(val)",
    "negotiationId": "(val)",
    "activityTypeId": "(val)",
    "locationId": "(val)",
    "startDate": "(val)",
    "endDate": "(val)",
    "createDate": "(val)",
    "followupDate": "(val)",
    "lastModifiedUsername": "(val)",
    "lastModifiedDate": "(val)",
    "description": "(val)",
    "restricted": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "activityId": "(val)",
    "negotiationId": "(val)",
    "activityTypeId": "(val)",
    "locationId": "(val)",
    "startDate": "(val)",
    "endDate": "(val)",
    "createDate": "(val)",
    "followupDate": "(val)",
    "lastModifiedUsername": "(val)",
    "lastModifiedDate": "(val)",
    "description": "(val)",
    "restricted": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Negotiation Activities by Key
DELETE/negotiation/api/v1/negotiation-activities/(key)

Example URI

DELETE /negotiation/api/v1/negotiation-activities/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Negotiation Activities
DELETE/negotiation/api/v1/negotiation-activities/

Example URI

DELETE /negotiation/api/v1/negotiation-activities/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Negotiation Activities with Matching
DELETE/negotiation/api/v1/negotiation-activities/

Example URI

DELETE /negotiation/api/v1/negotiation-activities/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

activityId
string (optional) 

negotiationActivityId. Maximum length is 22.

negotiationId
string (optional) 
activityTypeId
string (optional) 

Activity Type. Maximum length is 22.

locationId
string (optional) 

Location. Maximum length is 22.

startDate
string (optional) 

Activity Start Date. Maximum length is 21.

endDate
string (optional) 

Activity End Date. Maximum length is 21.

createDate
string (optional) 

Create Date. Maximum length is 21.

followupDate
string (optional) 

Follow-up Date. Maximum length is 21.

lastModifiedUsername
string (optional) 

Last Update By. Maximum length is 40.

lastModifiedDate
string (optional) 

Last Update. Maximum length is 21.

description
string (optional) 

Activity Description. Maximum length is 2000.

restricted
string (optional) 
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Negotiation Activity Attachments

Get Negotiation Activity Attachments by Key
GET/negotiation/api/v1/negotiation-activity-attachments/(key)

Example URI

GET /negotiation/api/v1/negotiation-activity-attachments/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "attachmentId": "(val)",
  "activityId": "(val)",
  "fileId": "(val)",
  "description": "(val)",
  "restricted": "(val)",
  "_primaryKey": "(val)"
}

Get All Negotiation Activity Attachments
GET/negotiation/api/v1/negotiation-activity-attachments/

Example URI

GET /negotiation/api/v1/negotiation-activity-attachments/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "attachmentId": "(val)",
    "activityId": "(val)",
    "fileId": "(val)",
    "description": "(val)",
    "restricted": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "attachmentId": "(val)",
    "activityId": "(val)",
    "fileId": "(val)",
    "description": "(val)",
    "restricted": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Negotiation Activity Attachments with Filtering
GET/negotiation/api/v1/negotiation-activity-attachments/

Example URI

GET /negotiation/api/v1/negotiation-activity-attachments/
URI Parameters
HideShow
attachmentId
string (optional) 

attachmentId. Maximum length is 22.

activityId
string (optional) 
fileId
string (optional) 
description
string (optional) 

Attachment Description. Maximum length is 200.

restricted
string (optional) 
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "attachmentId": "(val)",
    "activityId": "(val)",
    "fileId": "(val)",
    "description": "(val)",
    "restricted": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "attachmentId": "(val)",
    "activityId": "(val)",
    "fileId": "(val)",
    "description": "(val)",
    "restricted": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Negotiation Activity Attachments
GET/negotiation/api/v1/negotiation-activity-attachments/

Example URI

GET /negotiation/api/v1/negotiation-activity-attachments/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "attachmentId",
    "activityId",
    "fileId",
    "description",
    "restricted"
  ],
  "primaryKey": "attachmentId"
}

Get Blueprint API specification for Negotiation Activity Attachments
GET/negotiation/api/v1/negotiation-activity-attachments/

Example URI

GET /negotiation/api/v1/negotiation-activity-attachments/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Negotiation Activity Attachments.md"
transfer-encoding: chunked

Update Negotiation Activity Attachments
PUT/negotiation/api/v1/negotiation-activity-attachments/(key)

Example URI

PUT /negotiation/api/v1/negotiation-activity-attachments/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "attachmentId": "(val)",
  "activityId": "(val)",
  "fileId": "(val)",
  "description": "(val)",
  "restricted": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Negotiation Activity Attachments
PUT/negotiation/api/v1/negotiation-activity-attachments/

Example URI

PUT /negotiation/api/v1/negotiation-activity-attachments/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "attachmentId": "(val)",
    "activityId": "(val)",
    "fileId": "(val)",
    "description": "(val)",
    "restricted": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "attachmentId": "(val)",
    "activityId": "(val)",
    "fileId": "(val)",
    "description": "(val)",
    "restricted": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Negotiation Activity Attachments
PATCH/negotiation/api/v1/negotiation-activity-attachments/(key)

Example URI

PATCH /negotiation/api/v1/negotiation-activity-attachments/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "attachmentId": "(val)",
  "activityId": "(val)",
  "fileId": "(val)",
  "description": "(val)",
  "restricted": "(val)",
  "_primaryKey": "(val)"
}
Response  204
HideShow
Body
{
  "attachmentId": "(val)",
  "activityId": "(val)",
  "fileId": "(val)",
  "description": "(val)",
  "restricted": "(val)",
  "_primaryKey": "(val)"
}

Insert Negotiation Activity Attachments
POST/negotiation/api/v1/negotiation-activity-attachments/

Example URI

POST /negotiation/api/v1/negotiation-activity-attachments/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "attachmentId": "(val)",
  "activityId": "(val)",
  "fileId": "(val)",
  "description": "(val)",
  "restricted": "(val)",
  "_primaryKey": "(val)"
}
Response  201
HideShow
Body
{
  "attachmentId": "(val)",
  "activityId": "(val)",
  "fileId": "(val)",
  "description": "(val)",
  "restricted": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Negotiation Activity Attachments
POST/negotiation/api/v1/negotiation-activity-attachments/

Example URI

POST /negotiation/api/v1/negotiation-activity-attachments/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "attachmentId": "(val)",
    "activityId": "(val)",
    "fileId": "(val)",
    "description": "(val)",
    "restricted": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "attachmentId": "(val)",
    "activityId": "(val)",
    "fileId": "(val)",
    "description": "(val)",
    "restricted": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "attachmentId": "(val)",
    "activityId": "(val)",
    "fileId": "(val)",
    "description": "(val)",
    "restricted": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "attachmentId": "(val)",
    "activityId": "(val)",
    "fileId": "(val)",
    "description": "(val)",
    "restricted": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Negotiation Activity Attachments by Key
DELETE/negotiation/api/v1/negotiation-activity-attachments/(key)

Example URI

DELETE /negotiation/api/v1/negotiation-activity-attachments/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Negotiation Activity Attachments
DELETE/negotiation/api/v1/negotiation-activity-attachments/

Example URI

DELETE /negotiation/api/v1/negotiation-activity-attachments/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Negotiation Activity Attachments with Matching
DELETE/negotiation/api/v1/negotiation-activity-attachments/

Example URI

DELETE /negotiation/api/v1/negotiation-activity-attachments/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

attachmentId
string (optional) 

attachmentId. Maximum length is 22.

activityId
string (optional) 
fileId
string (optional) 
description
string (optional) 

Attachment Description. Maximum length is 200.

restricted
string (optional) 
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Negotiation Activity Types

Get Negotiation Activity Types by Key
GET/negotiation/api/v1/negotiation-activity-types/(key)

Example URI

GET /negotiation/api/v1/negotiation-activity-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "id": "(val)",
  "code": "(val)",
  "description": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}

Get All Negotiation Activity Types
GET/negotiation/api/v1/negotiation-activity-types/

Example URI

GET /negotiation/api/v1/negotiation-activity-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Negotiation Activity Types with Filtering
GET/negotiation/api/v1/negotiation-activity-types/

Example URI

GET /negotiation/api/v1/negotiation-activity-types/
URI Parameters
HideShow
id
string (optional) 

Id. Maximum length is 22.

code
string (optional) 

Activity Type Code. Maximum length is 3.

description
string (optional) 

Description. Maximum length is 30.

active
string (optional) 

Active. Maximum length is 1.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Negotiation Activity Types
GET/negotiation/api/v1/negotiation-activity-types/

Example URI

GET /negotiation/api/v1/negotiation-activity-types/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "id",
    "code",
    "description",
    "active"
  ],
  "primaryKey": "id"
}

Get Blueprint API specification for Negotiation Activity Types
GET/negotiation/api/v1/negotiation-activity-types/

Example URI

GET /negotiation/api/v1/negotiation-activity-types/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Negotiation Activity Types.md"
transfer-encoding: chunked

Update Negotiation Activity Types
PUT/negotiation/api/v1/negotiation-activity-types/(key)

Example URI

PUT /negotiation/api/v1/negotiation-activity-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "id": "(val)",
  "code": "(val)",
  "description": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Negotiation Activity Types
PUT/negotiation/api/v1/negotiation-activity-types/

Example URI

PUT /negotiation/api/v1/negotiation-activity-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Negotiation Activity Types
PATCH/negotiation/api/v1/negotiation-activity-types/(key)

Example URI

PATCH /negotiation/api/v1/negotiation-activity-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "id": "(val)",
  "code": "(val)",
  "description": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}
Response  204
HideShow
Body
{
  "id": "(val)",
  "code": "(val)",
  "description": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}

Insert Negotiation Activity Types
POST/negotiation/api/v1/negotiation-activity-types/

Example URI

POST /negotiation/api/v1/negotiation-activity-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "id": "(val)",
  "code": "(val)",
  "description": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}
Response  201
HideShow
Body
{
  "id": "(val)",
  "code": "(val)",
  "description": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Negotiation Activity Types
POST/negotiation/api/v1/negotiation-activity-types/

Example URI

POST /negotiation/api/v1/negotiation-activity-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Negotiation Activity Types by Key
DELETE/negotiation/api/v1/negotiation-activity-types/(key)

Example URI

DELETE /negotiation/api/v1/negotiation-activity-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Negotiation Activity Types
DELETE/negotiation/api/v1/negotiation-activity-types/

Example URI

DELETE /negotiation/api/v1/negotiation-activity-types/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Negotiation Activity Types with Matching
DELETE/negotiation/api/v1/negotiation-activity-types/

Example URI

DELETE /negotiation/api/v1/negotiation-activity-types/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

id
string (optional) 

Id. Maximum length is 22.

code
string (optional) 

Activity Type Code. Maximum length is 3.

description
string (optional) 

Description. Maximum length is 30.

active
string (optional) 

Active. Maximum length is 1.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Negotiation Agreement Types

Get Negotiation Agreement Types by Key
GET/negotiation/api/v1/negotiation-agreement-types/(key)

Example URI

GET /negotiation/api/v1/negotiation-agreement-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "id": "(val)",
  "code": "(val)",
  "description": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}

Get All Negotiation Agreement Types
GET/negotiation/api/v1/negotiation-agreement-types/

Example URI

GET /negotiation/api/v1/negotiation-agreement-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Negotiation Agreement Types with Filtering
GET/negotiation/api/v1/negotiation-agreement-types/

Example URI

GET /negotiation/api/v1/negotiation-agreement-types/
URI Parameters
HideShow
id
string (optional) 

Id. Maximum length is 22.

code
string (optional) 

Agreement Type Code. Maximum length is 3.

description
string (optional) 

Description. Maximum length is 200.

active
string (optional) 

Active. Maximum length is 1.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Negotiation Agreement Types
GET/negotiation/api/v1/negotiation-agreement-types/

Example URI

GET /negotiation/api/v1/negotiation-agreement-types/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "id",
    "code",
    "description",
    "active"
  ],
  "primaryKey": "id"
}

Get Blueprint API specification for Negotiation Agreement Types
GET/negotiation/api/v1/negotiation-agreement-types/

Example URI

GET /negotiation/api/v1/negotiation-agreement-types/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Negotiation Agreement Types.md"
transfer-encoding: chunked

Update Negotiation Agreement Types
PUT/negotiation/api/v1/negotiation-agreement-types/(key)

Example URI

PUT /negotiation/api/v1/negotiation-agreement-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "id": "(val)",
  "code": "(val)",
  "description": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Negotiation Agreement Types
PUT/negotiation/api/v1/negotiation-agreement-types/

Example URI

PUT /negotiation/api/v1/negotiation-agreement-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Negotiation Agreement Types
PATCH/negotiation/api/v1/negotiation-agreement-types/(key)

Example URI

PATCH /negotiation/api/v1/negotiation-agreement-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "id": "(val)",
  "code": "(val)",
  "description": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}
Response  204
HideShow
Body
{
  "id": "(val)",
  "code": "(val)",
  "description": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}

Insert Negotiation Agreement Types
POST/negotiation/api/v1/negotiation-agreement-types/

Example URI

POST /negotiation/api/v1/negotiation-agreement-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "id": "(val)",
  "code": "(val)",
  "description": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}
Response  201
HideShow
Body
{
  "id": "(val)",
  "code": "(val)",
  "description": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Negotiation Agreement Types
POST/negotiation/api/v1/negotiation-agreement-types/

Example URI

POST /negotiation/api/v1/negotiation-agreement-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Negotiation Agreement Types by Key
DELETE/negotiation/api/v1/negotiation-agreement-types/(key)

Example URI

DELETE /negotiation/api/v1/negotiation-agreement-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Negotiation Agreement Types
DELETE/negotiation/api/v1/negotiation-agreement-types/

Example URI

DELETE /negotiation/api/v1/negotiation-agreement-types/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Negotiation Agreement Types with Matching
DELETE/negotiation/api/v1/negotiation-agreement-types/

Example URI

DELETE /negotiation/api/v1/negotiation-agreement-types/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

id
string (optional) 

Id. Maximum length is 22.

code
string (optional) 

Agreement Type Code. Maximum length is 3.

description
string (optional) 

Description. Maximum length is 200.

active
string (optional) 

Active. Maximum length is 1.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Negotiation Association Types

Get Negotiation Association Types by Key
GET/negotiation/api/v1/negotiation-association-types/(key)

Example URI

GET /negotiation/api/v1/negotiation-association-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "id": "(val)",
  "code": "(val)",
  "description": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}

Get All Negotiation Association Types
GET/negotiation/api/v1/negotiation-association-types/

Example URI

GET /negotiation/api/v1/negotiation-association-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Negotiation Association Types with Filtering
GET/negotiation/api/v1/negotiation-association-types/

Example URI

GET /negotiation/api/v1/negotiation-association-types/
URI Parameters
HideShow
id
string (optional) 

Id. Maximum length is 22.

code
string (optional) 

Association Type Code. Maximum length is 3.

description
string (optional) 

Description. Maximum length is 30.

active
string (optional) 

Active. Maximum length is 1.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Negotiation Association Types
GET/negotiation/api/v1/negotiation-association-types/

Example URI

GET /negotiation/api/v1/negotiation-association-types/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "id",
    "code",
    "description",
    "active"
  ],
  "primaryKey": "id"
}

Get Blueprint API specification for Negotiation Association Types
GET/negotiation/api/v1/negotiation-association-types/

Example URI

GET /negotiation/api/v1/negotiation-association-types/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Negotiation Association Types.md"
transfer-encoding: chunked

Update Negotiation Association Types
PUT/negotiation/api/v1/negotiation-association-types/(key)

Example URI

PUT /negotiation/api/v1/negotiation-association-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "id": "(val)",
  "code": "(val)",
  "description": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Negotiation Association Types
PUT/negotiation/api/v1/negotiation-association-types/

Example URI

PUT /negotiation/api/v1/negotiation-association-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Negotiation Association Types
PATCH/negotiation/api/v1/negotiation-association-types/(key)

Example URI

PATCH /negotiation/api/v1/negotiation-association-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "id": "(val)",
  "code": "(val)",
  "description": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}
Response  204
HideShow
Body
{
  "id": "(val)",
  "code": "(val)",
  "description": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}

Insert Negotiation Association Types
POST/negotiation/api/v1/negotiation-association-types/

Example URI

POST /negotiation/api/v1/negotiation-association-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "id": "(val)",
  "code": "(val)",
  "description": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}
Response  201
HideShow
Body
{
  "id": "(val)",
  "code": "(val)",
  "description": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Negotiation Association Types
POST/negotiation/api/v1/negotiation-association-types/

Example URI

POST /negotiation/api/v1/negotiation-association-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Negotiation Association Types by Key
DELETE/negotiation/api/v1/negotiation-association-types/(key)

Example URI

DELETE /negotiation/api/v1/negotiation-association-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Negotiation Association Types
DELETE/negotiation/api/v1/negotiation-association-types/

Example URI

DELETE /negotiation/api/v1/negotiation-association-types/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Negotiation Association Types with Matching
DELETE/negotiation/api/v1/negotiation-association-types/

Example URI

DELETE /negotiation/api/v1/negotiation-association-types/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

id
string (optional) 

Id. Maximum length is 22.

code
string (optional) 

Association Type Code. Maximum length is 3.

description
string (optional) 

Description. Maximum length is 30.

active
string (optional) 

Active. Maximum length is 1.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Negotiation Custom Data

Get Negotiation Custom Data by Key
GET/negotiation/api/v1/negotiation-custom-data/(key)

Example URI

GET /negotiation/api/v1/negotiation-custom-data/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "negotiationCustomDataId": "(val)",
  "negotiationNumber": "(val)",
  "customAttributeId": "(val)",
  "value": "(val)",
  "_primaryKey": "(val)"
}

Get All Negotiation Custom Data
GET/negotiation/api/v1/negotiation-custom-data/

Example URI

GET /negotiation/api/v1/negotiation-custom-data/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "negotiationCustomDataId": "(val)",
    "negotiationNumber": "(val)",
    "customAttributeId": "(val)",
    "value": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "negotiationCustomDataId": "(val)",
    "negotiationNumber": "(val)",
    "customAttributeId": "(val)",
    "value": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Negotiation Custom Data with Filtering
GET/negotiation/api/v1/negotiation-custom-data/

Example URI

GET /negotiation/api/v1/negotiation-custom-data/
URI Parameters
HideShow
negotiationCustomDataId
string (optional) 
negotiationNumber
string (optional) 
customAttributeId
string (optional) 
value
string (optional) 

Value. Maximum length is 2000.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "negotiationCustomDataId": "(val)",
    "negotiationNumber": "(val)",
    "customAttributeId": "(val)",
    "value": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "negotiationCustomDataId": "(val)",
    "negotiationNumber": "(val)",
    "customAttributeId": "(val)",
    "value": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Negotiation Custom Data
GET/negotiation/api/v1/negotiation-custom-data/

Example URI

GET /negotiation/api/v1/negotiation-custom-data/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "negotiationCustomDataId",
    "negotiationNumber",
    "customAttributeId",
    "value"
  ],
  "primaryKey": "negotiationCustomDataId"
}

Get Blueprint API specification for Negotiation Custom Data
GET/negotiation/api/v1/negotiation-custom-data/

Example URI

GET /negotiation/api/v1/negotiation-custom-data/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Negotiation Custom Data.md"
transfer-encoding: chunked

Negotiation Locations

Get Negotiation Locations by Key
GET/negotiation/api/v1/negotiation-locations/(key)

Example URI

GET /negotiation/api/v1/negotiation-locations/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "id": "(val)",
  "code": "(val)",
  "description": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}

Get All Negotiation Locations
GET/negotiation/api/v1/negotiation-locations/

Example URI

GET /negotiation/api/v1/negotiation-locations/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Negotiation Locations with Filtering
GET/negotiation/api/v1/negotiation-locations/

Example URI

GET /negotiation/api/v1/negotiation-locations/
URI Parameters
HideShow
id
string (optional) 

Id. Maximum length is 22.

code
string (optional) 

Location Code. Maximum length is 3.

description
string (optional) 

Description. Maximum length is 30.

active
string (optional) 

Active. Maximum length is 1.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Negotiation Locations
GET/negotiation/api/v1/negotiation-locations/

Example URI

GET /negotiation/api/v1/negotiation-locations/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "id",
    "code",
    "description",
    "active"
  ],
  "primaryKey": "id"
}

Get Blueprint API specification for Negotiation Locations
GET/negotiation/api/v1/negotiation-locations/

Example URI

GET /negotiation/api/v1/negotiation-locations/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Negotiation Locations.md"
transfer-encoding: chunked

Update Negotiation Locations
PUT/negotiation/api/v1/negotiation-locations/(key)

Example URI

PUT /negotiation/api/v1/negotiation-locations/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "id": "(val)",
  "code": "(val)",
  "description": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Negotiation Locations
PUT/negotiation/api/v1/negotiation-locations/

Example URI

PUT /negotiation/api/v1/negotiation-locations/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Negotiation Locations
PATCH/negotiation/api/v1/negotiation-locations/(key)

Example URI

PATCH /negotiation/api/v1/negotiation-locations/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "id": "(val)",
  "code": "(val)",
  "description": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}
Response  204
HideShow
Body
{
  "id": "(val)",
  "code": "(val)",
  "description": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}

Insert Negotiation Locations
POST/negotiation/api/v1/negotiation-locations/

Example URI

POST /negotiation/api/v1/negotiation-locations/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "id": "(val)",
  "code": "(val)",
  "description": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}
Response  201
HideShow
Body
{
  "id": "(val)",
  "code": "(val)",
  "description": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Negotiation Locations
POST/negotiation/api/v1/negotiation-locations/

Example URI

POST /negotiation/api/v1/negotiation-locations/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Negotiation Locations by Key
DELETE/negotiation/api/v1/negotiation-locations/(key)

Example URI

DELETE /negotiation/api/v1/negotiation-locations/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Negotiation Locations
DELETE/negotiation/api/v1/negotiation-locations/

Example URI

DELETE /negotiation/api/v1/negotiation-locations/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Negotiation Locations with Matching
DELETE/negotiation/api/v1/negotiation-locations/

Example URI

DELETE /negotiation/api/v1/negotiation-locations/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

id
string (optional) 

Id. Maximum length is 22.

code
string (optional) 

Location Code. Maximum length is 3.

description
string (optional) 

Description. Maximum length is 30.

active
string (optional) 

Active. Maximum length is 1.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Negotiation Notifications

Get Negotiation Notifications by Key
GET/negotiation/api/v1/negotiation-notifications/(key)

Example URI

GET /negotiation/api/v1/negotiation-notifications/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "notificationId": "(val)",
  "notificationTypeId": "(val)",
  "documentNumber": "(val)",
  "owningDocumentIdFk": "(val)",
  "recipients": "(val)",
  "subject": "(val)",
  "message": "(val)",
  "_primaryKey": "(val)"
}

Get All Negotiation Notifications
GET/negotiation/api/v1/negotiation-notifications/

Example URI

GET /negotiation/api/v1/negotiation-notifications/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "notificationId": "(val)",
    "notificationTypeId": "(val)",
    "documentNumber": "(val)",
    "owningDocumentIdFk": "(val)",
    "recipients": "(val)",
    "subject": "(val)",
    "message": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "notificationId": "(val)",
    "notificationTypeId": "(val)",
    "documentNumber": "(val)",
    "owningDocumentIdFk": "(val)",
    "recipients": "(val)",
    "subject": "(val)",
    "message": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Negotiation Notifications with Filtering
GET/negotiation/api/v1/negotiation-notifications/

Example URI

GET /negotiation/api/v1/negotiation-notifications/
URI Parameters
HideShow
notificationId
string (optional) 
notificationTypeId
string (optional) 
documentNumber
string (optional) 
owningDocumentIdFk
string (optional) 
recipients
string (optional) 
subject
string (optional) 
message
string (optional) 
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "notificationId": "(val)",
    "notificationTypeId": "(val)",
    "documentNumber": "(val)",
    "owningDocumentIdFk": "(val)",
    "recipients": "(val)",
    "subject": "(val)",
    "message": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "notificationId": "(val)",
    "notificationTypeId": "(val)",
    "documentNumber": "(val)",
    "owningDocumentIdFk": "(val)",
    "recipients": "(val)",
    "subject": "(val)",
    "message": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Negotiation Notifications
GET/negotiation/api/v1/negotiation-notifications/

Example URI

GET /negotiation/api/v1/negotiation-notifications/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "notificationId",
    "notificationTypeId",
    "documentNumber",
    "owningDocumentIdFk",
    "recipients",
    "subject",
    "message"
  ],
  "primaryKey": "notificationId"
}

Get Blueprint API specification for Negotiation Notifications
GET/negotiation/api/v1/negotiation-notifications/

Example URI

GET /negotiation/api/v1/negotiation-notifications/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Negotiation Notifications.md"
transfer-encoding: chunked

Update Negotiation Notifications
PUT/negotiation/api/v1/negotiation-notifications/(key)

Example URI

PUT /negotiation/api/v1/negotiation-notifications/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "notificationId": "(val)",
  "notificationTypeId": "(val)",
  "documentNumber": "(val)",
  "owningDocumentIdFk": "(val)",
  "recipients": "(val)",
  "subject": "(val)",
  "message": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Negotiation Notifications
PUT/negotiation/api/v1/negotiation-notifications/

Example URI

PUT /negotiation/api/v1/negotiation-notifications/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "notificationId": "(val)",
    "notificationTypeId": "(val)",
    "documentNumber": "(val)",
    "owningDocumentIdFk": "(val)",
    "recipients": "(val)",
    "subject": "(val)",
    "message": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "notificationId": "(val)",
    "notificationTypeId": "(val)",
    "documentNumber": "(val)",
    "owningDocumentIdFk": "(val)",
    "recipients": "(val)",
    "subject": "(val)",
    "message": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Negotiation Notifications
PATCH/negotiation/api/v1/negotiation-notifications/(key)

Example URI

PATCH /negotiation/api/v1/negotiation-notifications/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "notificationId": "(val)",
  "notificationTypeId": "(val)",
  "documentNumber": "(val)",
  "owningDocumentIdFk": "(val)",
  "recipients": "(val)",
  "subject": "(val)",
  "message": "(val)",
  "_primaryKey": "(val)"
}
Response  204
HideShow
Body
{
  "notificationId": "(val)",
  "notificationTypeId": "(val)",
  "documentNumber": "(val)",
  "owningDocumentIdFk": "(val)",
  "recipients": "(val)",
  "subject": "(val)",
  "message": "(val)",
  "_primaryKey": "(val)"
}

Insert Negotiation Notifications
POST/negotiation/api/v1/negotiation-notifications/

Example URI

POST /negotiation/api/v1/negotiation-notifications/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "notificationId": "(val)",
  "notificationTypeId": "(val)",
  "documentNumber": "(val)",
  "owningDocumentIdFk": "(val)",
  "recipients": "(val)",
  "subject": "(val)",
  "message": "(val)",
  "_primaryKey": "(val)"
}
Response  201
HideShow
Body
{
  "notificationId": "(val)",
  "notificationTypeId": "(val)",
  "documentNumber": "(val)",
  "owningDocumentIdFk": "(val)",
  "recipients": "(val)",
  "subject": "(val)",
  "message": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Negotiation Notifications
POST/negotiation/api/v1/negotiation-notifications/

Example URI

POST /negotiation/api/v1/negotiation-notifications/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "notificationId": "(val)",
    "notificationTypeId": "(val)",
    "documentNumber": "(val)",
    "owningDocumentIdFk": "(val)",
    "recipients": "(val)",
    "subject": "(val)",
    "message": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "notificationId": "(val)",
    "notificationTypeId": "(val)",
    "documentNumber": "(val)",
    "owningDocumentIdFk": "(val)",
    "recipients": "(val)",
    "subject": "(val)",
    "message": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "notificationId": "(val)",
    "notificationTypeId": "(val)",
    "documentNumber": "(val)",
    "owningDocumentIdFk": "(val)",
    "recipients": "(val)",
    "subject": "(val)",
    "message": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "notificationId": "(val)",
    "notificationTypeId": "(val)",
    "documentNumber": "(val)",
    "owningDocumentIdFk": "(val)",
    "recipients": "(val)",
    "subject": "(val)",
    "message": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Negotiation Notifications by Key
DELETE/negotiation/api/v1/negotiation-notifications/(key)

Example URI

DELETE /negotiation/api/v1/negotiation-notifications/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Negotiation Notifications
DELETE/negotiation/api/v1/negotiation-notifications/

Example URI

DELETE /negotiation/api/v1/negotiation-notifications/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Negotiation Notifications with Matching
DELETE/negotiation/api/v1/negotiation-notifications/

Example URI

DELETE /negotiation/api/v1/negotiation-notifications/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

notificationId
string (optional) 
notificationTypeId
string (optional) 
documentNumber
string (optional) 
owningDocumentIdFk
string (optional) 
recipients
string (optional) 
subject
string (optional) 
message
string (optional) 
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Negotiation Person Mass Changes

Get Negotiation Person Mass Changes by Key
GET/negotiation/api/v1/negotiation-person-mass-changes/(key)

Example URI

GET /negotiation/api/v1/negotiation-person-mass-changes/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "negotiationPersonMassChangeId": "(val)",
  "personMassChangeId": "(val)",
  "negotiator": "(val)",
  "_primaryKey": "(val)"
}

Get All Negotiation Person Mass Changes
GET/negotiation/api/v1/negotiation-person-mass-changes/

Example URI

GET /negotiation/api/v1/negotiation-person-mass-changes/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "negotiationPersonMassChangeId": "(val)",
    "personMassChangeId": "(val)",
    "negotiator": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "negotiationPersonMassChangeId": "(val)",
    "personMassChangeId": "(val)",
    "negotiator": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Negotiation Person Mass Changes with Filtering
GET/negotiation/api/v1/negotiation-person-mass-changes/

Example URI

GET /negotiation/api/v1/negotiation-person-mass-changes/
URI Parameters
HideShow
negotiationPersonMassChangeId
string (optional) 

Negotiation Person Mass Change Id. Maximum length is 12.

personMassChangeId
string (optional) 

Person Mass Change Id. Maximum length is 12.

negotiator
string (optional) 

Negotiator. Maximum length is 1.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "negotiationPersonMassChangeId": "(val)",
    "personMassChangeId": "(val)",
    "negotiator": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "negotiationPersonMassChangeId": "(val)",
    "personMassChangeId": "(val)",
    "negotiator": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Negotiation Person Mass Changes
GET/negotiation/api/v1/negotiation-person-mass-changes/

Example URI

GET /negotiation/api/v1/negotiation-person-mass-changes/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "negotiationPersonMassChangeId",
    "personMassChangeId",
    "negotiator"
  ],
  "primaryKey": "negotiationPersonMassChangeId"
}

Get Blueprint API specification for Negotiation Person Mass Changes
GET/negotiation/api/v1/negotiation-person-mass-changes/

Example URI

GET /negotiation/api/v1/negotiation-person-mass-changes/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Negotiation Person Mass Changes.md"
transfer-encoding: chunked

Update Negotiation Person Mass Changes
PUT/negotiation/api/v1/negotiation-person-mass-changes/(key)

Example URI

PUT /negotiation/api/v1/negotiation-person-mass-changes/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "negotiationPersonMassChangeId": "(val)",
  "personMassChangeId": "(val)",
  "negotiator": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Negotiation Person Mass Changes
PUT/negotiation/api/v1/negotiation-person-mass-changes/

Example URI

PUT /negotiation/api/v1/negotiation-person-mass-changes/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "negotiationPersonMassChangeId": "(val)",
    "personMassChangeId": "(val)",
    "negotiator": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "negotiationPersonMassChangeId": "(val)",
    "personMassChangeId": "(val)",
    "negotiator": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Negotiation Person Mass Changes
PATCH/negotiation/api/v1/negotiation-person-mass-changes/(key)

Example URI

PATCH /negotiation/api/v1/negotiation-person-mass-changes/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "negotiationPersonMassChangeId": "(val)",
  "personMassChangeId": "(val)",
  "negotiator": "(val)",
  "_primaryKey": "(val)"
}
Response  204
HideShow
Body
{
  "negotiationPersonMassChangeId": "(val)",
  "personMassChangeId": "(val)",
  "negotiator": "(val)",
  "_primaryKey": "(val)"
}

Insert Negotiation Person Mass Changes
POST/negotiation/api/v1/negotiation-person-mass-changes/

Example URI

POST /negotiation/api/v1/negotiation-person-mass-changes/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "negotiationPersonMassChangeId": "(val)",
  "personMassChangeId": "(val)",
  "negotiator": "(val)",
  "_primaryKey": "(val)"
}
Response  201
HideShow
Body
{
  "negotiationPersonMassChangeId": "(val)",
  "personMassChangeId": "(val)",
  "negotiator": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Negotiation Person Mass Changes
POST/negotiation/api/v1/negotiation-person-mass-changes/

Example URI

POST /negotiation/api/v1/negotiation-person-mass-changes/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "negotiationPersonMassChangeId": "(val)",
    "personMassChangeId": "(val)",
    "negotiator": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "negotiationPersonMassChangeId": "(val)",
    "personMassChangeId": "(val)",
    "negotiator": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "negotiationPersonMassChangeId": "(val)",
    "personMassChangeId": "(val)",
    "negotiator": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "negotiationPersonMassChangeId": "(val)",
    "personMassChangeId": "(val)",
    "negotiator": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Negotiation Person Mass Changes by Key
DELETE/negotiation/api/v1/negotiation-person-mass-changes/(key)

Example URI

DELETE /negotiation/api/v1/negotiation-person-mass-changes/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Negotiation Person Mass Changes
DELETE/negotiation/api/v1/negotiation-person-mass-changes/

Example URI

DELETE /negotiation/api/v1/negotiation-person-mass-changes/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Negotiation Person Mass Changes with Matching
DELETE/negotiation/api/v1/negotiation-person-mass-changes/

Example URI

DELETE /negotiation/api/v1/negotiation-person-mass-changes/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

negotiationPersonMassChangeId
string (optional) 

Negotiation Person Mass Change Id. Maximum length is 12.

personMassChangeId
string (optional) 

Person Mass Change Id. Maximum length is 12.

negotiator
string (optional) 

Negotiator. Maximum length is 1.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Negotiation Statuses

Get Negotiation Statuses by Key
GET/negotiation/api/v1/negotiation-statuses/(key)

Example URI

GET /negotiation/api/v1/negotiation-statuses/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "id": "(val)",
  "code": "(val)",
  "description": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}

Get All Negotiation Statuses
GET/negotiation/api/v1/negotiation-statuses/

Example URI

GET /negotiation/api/v1/negotiation-statuses/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Negotiation Statuses with Filtering
GET/negotiation/api/v1/negotiation-statuses/

Example URI

GET /negotiation/api/v1/negotiation-statuses/
URI Parameters
HideShow
id
string (optional) 

Id. Maximum length is 22.

code
string (optional) 

Status Code. Maximum length is 3.

description
string (optional) 

Description. Maximum length is 30.

active
string (optional) 

Active. Maximum length is 1.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Negotiation Statuses
GET/negotiation/api/v1/negotiation-statuses/

Example URI

GET /negotiation/api/v1/negotiation-statuses/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "id",
    "code",
    "description",
    "active"
  ],
  "primaryKey": "id"
}

Get Blueprint API specification for Negotiation Statuses
GET/negotiation/api/v1/negotiation-statuses/

Example URI

GET /negotiation/api/v1/negotiation-statuses/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Negotiation Statuses.md"
transfer-encoding: chunked

Update Negotiation Statuses
PUT/negotiation/api/v1/negotiation-statuses/(key)

Example URI

PUT /negotiation/api/v1/negotiation-statuses/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "id": "(val)",
  "code": "(val)",
  "description": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Negotiation Statuses
PUT/negotiation/api/v1/negotiation-statuses/

Example URI

PUT /negotiation/api/v1/negotiation-statuses/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Negotiation Statuses
PATCH/negotiation/api/v1/negotiation-statuses/(key)

Example URI

PATCH /negotiation/api/v1/negotiation-statuses/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "id": "(val)",
  "code": "(val)",
  "description": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}
Response  204
HideShow
Body
{
  "id": "(val)",
  "code": "(val)",
  "description": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}

Insert Negotiation Statuses
POST/negotiation/api/v1/negotiation-statuses/

Example URI

POST /negotiation/api/v1/negotiation-statuses/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "id": "(val)",
  "code": "(val)",
  "description": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}
Response  201
HideShow
Body
{
  "id": "(val)",
  "code": "(val)",
  "description": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Negotiation Statuses
POST/negotiation/api/v1/negotiation-statuses/

Example URI

POST /negotiation/api/v1/negotiation-statuses/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "code": "(val)",
    "description": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Negotiation Statuses by Key
DELETE/negotiation/api/v1/negotiation-statuses/(key)

Example URI

DELETE /negotiation/api/v1/negotiation-statuses/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Negotiation Statuses
DELETE/negotiation/api/v1/negotiation-statuses/

Example URI

DELETE /negotiation/api/v1/negotiation-statuses/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Negotiation Statuses with Matching
DELETE/negotiation/api/v1/negotiation-statuses/

Example URI

DELETE /negotiation/api/v1/negotiation-statuses/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

id
string (optional) 

Id. Maximum length is 22.

code
string (optional) 

Status Code. Maximum length is 3.

description
string (optional) 

Description. Maximum length is 30.

active
string (optional) 

Active. Maximum length is 1.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Negotiation Unassociated Details

Get Negotiation Unassociated Details by Key
GET/negotiation/api/v1/negotiation-unassociated-details/(key)

Example URI

GET /negotiation/api/v1/negotiation-unassociated-details/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "negotiationUnassociatedDetailId": "(val)",
  "negotiationId": "(val)",
  "title": "(val)",
  "piPersonId": "(val)",
  "piRolodexId": "(val)",
  "leadUnitNumber": "(val)",
  "sponsorCode": "(val)",
  "piName": "(val)",
  "primeSponsorCode": "(val)",
  "sponsorAwardNumber": "(val)",
  "contactAdminPersonId": "(val)",
  "subAwardOrganizationId": "(val)",
  "_primaryKey": "(val)"
}

Get All Negotiation Unassociated Details
GET/negotiation/api/v1/negotiation-unassociated-details/

Example URI

GET /negotiation/api/v1/negotiation-unassociated-details/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "negotiationUnassociatedDetailId": "(val)",
    "negotiationId": "(val)",
    "title": "(val)",
    "piPersonId": "(val)",
    "piRolodexId": "(val)",
    "leadUnitNumber": "(val)",
    "sponsorCode": "(val)",
    "piName": "(val)",
    "primeSponsorCode": "(val)",
    "sponsorAwardNumber": "(val)",
    "contactAdminPersonId": "(val)",
    "subAwardOrganizationId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "negotiationUnassociatedDetailId": "(val)",
    "negotiationId": "(val)",
    "title": "(val)",
    "piPersonId": "(val)",
    "piRolodexId": "(val)",
    "leadUnitNumber": "(val)",
    "sponsorCode": "(val)",
    "piName": "(val)",
    "primeSponsorCode": "(val)",
    "sponsorAwardNumber": "(val)",
    "contactAdminPersonId": "(val)",
    "subAwardOrganizationId": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Negotiation Unassociated Details with Filtering
GET/negotiation/api/v1/negotiation-unassociated-details/

Example URI

GET /negotiation/api/v1/negotiation-unassociated-details/
URI Parameters
HideShow
negotiationUnassociatedDetailId
string (optional) 

negotiationUnassociatedDetailId. Maximum length is 22.

negotiationId
string (optional) 

Negotiation ID. Maximum length is 22.

title
string (optional) 

Title. Maximum length is 45.

piPersonId
string (optional) 

Principal Investigator Employee. Maximum length is 40.

piRolodexId
string (optional) 

Principal Investigator Non-Employee. Maximum length is 6.

leadUnitNumber
string (optional) 

Lead Unit. Maximum length is 8.

sponsorCode
string (optional) 

Sponsor. Maximum length is 6.

piName
string (optional) 

Principal Investigator Name. Maximum length is 90.

primeSponsorCode
string (optional) 

Prime Sponsor. Maximum length is 6.

sponsorAwardNumber
string (optional) 

Sponsor Award ID. Maximum length is 70.

contactAdminPersonId
string (optional) 

Admin Person. Maximum length is 40.

subAwardOrganizationId
string (optional) 

Subaward Organization. Maximum length is 8.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "negotiationUnassociatedDetailId": "(val)",
    "negotiationId": "(val)",
    "title": "(val)",
    "piPersonId": "(val)",
    "piRolodexId": "(val)",
    "leadUnitNumber": "(val)",
    "sponsorCode": "(val)",
    "piName": "(val)",
    "primeSponsorCode": "(val)",
    "sponsorAwardNumber": "(val)",
    "contactAdminPersonId": "(val)",
    "subAwardOrganizationId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "negotiationUnassociatedDetailId": "(val)",
    "negotiationId": "(val)",
    "title": "(val)",
    "piPersonId": "(val)",
    "piRolodexId": "(val)",
    "leadUnitNumber": "(val)",
    "sponsorCode": "(val)",
    "piName": "(val)",
    "primeSponsorCode": "(val)",
    "sponsorAwardNumber": "(val)",
    "contactAdminPersonId": "(val)",
    "subAwardOrganizationId": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Negotiation Unassociated Details
GET/negotiation/api/v1/negotiation-unassociated-details/

Example URI

GET /negotiation/api/v1/negotiation-unassociated-details/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "negotiationUnassociatedDetailId",
    "negotiationId",
    "title",
    "piPersonId",
    "piRolodexId",
    "leadUnitNumber",
    "sponsorCode",
    "piName",
    "primeSponsorCode",
    "sponsorAwardNumber",
    "contactAdminPersonId",
    "subAwardOrganizationId"
  ],
  "primaryKey": "negotiationUnassociatedDetailId"
}

Get Blueprint API specification for Negotiation Unassociated Details
GET/negotiation/api/v1/negotiation-unassociated-details/

Example URI

GET /negotiation/api/v1/negotiation-unassociated-details/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Negotiation Unassociated Details.md"
transfer-encoding: chunked

Update Negotiation Unassociated Details
PUT/negotiation/api/v1/negotiation-unassociated-details/(key)

Example URI

PUT /negotiation/api/v1/negotiation-unassociated-details/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "negotiationUnassociatedDetailId": "(val)",
  "negotiationId": "(val)",
  "title": "(val)",
  "piPersonId": "(val)",
  "piRolodexId": "(val)",
  "leadUnitNumber": "(val)",
  "sponsorCode": "(val)",
  "piName": "(val)",
  "primeSponsorCode": "(val)",
  "sponsorAwardNumber": "(val)",
  "contactAdminPersonId": "(val)",
  "subAwardOrganizationId": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Negotiation Unassociated Details
PUT/negotiation/api/v1/negotiation-unassociated-details/

Example URI

PUT /negotiation/api/v1/negotiation-unassociated-details/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "negotiationUnassociatedDetailId": "(val)",
    "negotiationId": "(val)",
    "title": "(val)",
    "piPersonId": "(val)",
    "piRolodexId": "(val)",
    "leadUnitNumber": "(val)",
    "sponsorCode": "(val)",
    "piName": "(val)",
    "primeSponsorCode": "(val)",
    "sponsorAwardNumber": "(val)",
    "contactAdminPersonId": "(val)",
    "subAwardOrganizationId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "negotiationUnassociatedDetailId": "(val)",
    "negotiationId": "(val)",
    "title": "(val)",
    "piPersonId": "(val)",
    "piRolodexId": "(val)",
    "leadUnitNumber": "(val)",
    "sponsorCode": "(val)",
    "piName": "(val)",
    "primeSponsorCode": "(val)",
    "sponsorAwardNumber": "(val)",
    "contactAdminPersonId": "(val)",
    "subAwardOrganizationId": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Negotiation Unassociated Details
PATCH/negotiation/api/v1/negotiation-unassociated-details/(key)

Example URI

PATCH /negotiation/api/v1/negotiation-unassociated-details/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "negotiationUnassociatedDetailId": "(val)",
  "negotiationId": "(val)",
  "title": "(val)",
  "piPersonId": "(val)",
  "piRolodexId": "(val)",
  "leadUnitNumber": "(val)",
  "sponsorCode": "(val)",
  "piName": "(val)",
  "primeSponsorCode": "(val)",
  "sponsorAwardNumber": "(val)",
  "contactAdminPersonId": "(val)",
  "subAwardOrganizationId": "(val)",
  "_primaryKey": "(val)"
}
Response  204
HideShow
Body
{
  "negotiationUnassociatedDetailId": "(val)",
  "negotiationId": "(val)",
  "title": "(val)",
  "piPersonId": "(val)",
  "piRolodexId": "(val)",
  "leadUnitNumber": "(val)",
  "sponsorCode": "(val)",
  "piName": "(val)",
  "primeSponsorCode": "(val)",
  "sponsorAwardNumber": "(val)",
  "contactAdminPersonId": "(val)",
  "subAwardOrganizationId": "(val)",
  "_primaryKey": "(val)"
}

Insert Negotiation Unassociated Details
POST/negotiation/api/v1/negotiation-unassociated-details/

Example URI

POST /negotiation/api/v1/negotiation-unassociated-details/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "negotiationUnassociatedDetailId": "(val)",
  "negotiationId": "(val)",
  "title": "(val)",
  "piPersonId": "(val)",
  "piRolodexId": "(val)",
  "leadUnitNumber": "(val)",
  "sponsorCode": "(val)",
  "piName": "(val)",
  "primeSponsorCode": "(val)",
  "sponsorAwardNumber": "(val)",
  "contactAdminPersonId": "(val)",
  "subAwardOrganizationId": "(val)",
  "_primaryKey": "(val)"
}
Response  201
HideShow
Body
{
  "negotiationUnassociatedDetailId": "(val)",
  "negotiationId": "(val)",
  "title": "(val)",
  "piPersonId": "(val)",
  "piRolodexId": "(val)",
  "leadUnitNumber": "(val)",
  "sponsorCode": "(val)",
  "piName": "(val)",
  "primeSponsorCode": "(val)",
  "sponsorAwardNumber": "(val)",
  "contactAdminPersonId": "(val)",
  "subAwardOrganizationId": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Negotiation Unassociated Details
POST/negotiation/api/v1/negotiation-unassociated-details/

Example URI

POST /negotiation/api/v1/negotiation-unassociated-details/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "negotiationUnassociatedDetailId": "(val)",
    "negotiationId": "(val)",
    "title": "(val)",
    "piPersonId": "(val)",
    "piRolodexId": "(val)",
    "leadUnitNumber": "(val)",
    "sponsorCode": "(val)",
    "piName": "(val)",
    "primeSponsorCode": "(val)",
    "sponsorAwardNumber": "(val)",
    "contactAdminPersonId": "(val)",
    "subAwardOrganizationId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "negotiationUnassociatedDetailId": "(val)",
    "negotiationId": "(val)",
    "title": "(val)",
    "piPersonId": "(val)",
    "piRolodexId": "(val)",
    "leadUnitNumber": "(val)",
    "sponsorCode": "(val)",
    "piName": "(val)",
    "primeSponsorCode": "(val)",
    "sponsorAwardNumber": "(val)",
    "contactAdminPersonId": "(val)",
    "subAwardOrganizationId": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "negotiationUnassociatedDetailId": "(val)",
    "negotiationId": "(val)",
    "title": "(val)",
    "piPersonId": "(val)",
    "piRolodexId": "(val)",
    "leadUnitNumber": "(val)",
    "sponsorCode": "(val)",
    "piName": "(val)",
    "primeSponsorCode": "(val)",
    "sponsorAwardNumber": "(val)",
    "contactAdminPersonId": "(val)",
    "subAwardOrganizationId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "negotiationUnassociatedDetailId": "(val)",
    "negotiationId": "(val)",
    "title": "(val)",
    "piPersonId": "(val)",
    "piRolodexId": "(val)",
    "leadUnitNumber": "(val)",
    "sponsorCode": "(val)",
    "piName": "(val)",
    "primeSponsorCode": "(val)",
    "sponsorAwardNumber": "(val)",
    "contactAdminPersonId": "(val)",
    "subAwardOrganizationId": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Negotiation Unassociated Details by Key
DELETE/negotiation/api/v1/negotiation-unassociated-details/(key)

Example URI

DELETE /negotiation/api/v1/negotiation-unassociated-details/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Negotiation Unassociated Details
DELETE/negotiation/api/v1/negotiation-unassociated-details/

Example URI

DELETE /negotiation/api/v1/negotiation-unassociated-details/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Negotiation Unassociated Details with Matching
DELETE/negotiation/api/v1/negotiation-unassociated-details/

Example URI

DELETE /negotiation/api/v1/negotiation-unassociated-details/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

negotiationUnassociatedDetailId
string (optional) 

negotiationUnassociatedDetailId. Maximum length is 22.

negotiationId
string (optional) 

Negotiation ID. Maximum length is 22.

title
string (optional) 

Title. Maximum length is 45.

piPersonId
string (optional) 

Principal Investigator Employee. Maximum length is 40.

piRolodexId
string (optional) 

Principal Investigator Non-Employee. Maximum length is 6.

leadUnitNumber
string (optional) 

Lead Unit. Maximum length is 8.

sponsorCode
string (optional) 

Sponsor. Maximum length is 6.

piName
string (optional) 

Principal Investigator Name. Maximum length is 90.

primeSponsorCode
string (optional) 

Prime Sponsor. Maximum length is 6.

sponsorAwardNumber
string (optional) 

Sponsor Award ID. Maximum length is 70.

contactAdminPersonId
string (optional) 

Admin Person. Maximum length is 40.

subAwardOrganizationId
string (optional) 

Subaward Organization. Maximum length is 8.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Negotiations

Get Negotiations by Key
GET/negotiation/api/v1/negotiations/(key)

Example URI

GET /negotiation/api/v1/negotiations/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "negotiationId": "(val)",
  "documentNumber": "(val)",
  "negotiationStatusId": "(val)",
  "negotiationAgreementTypeId": "(val)",
  "negotiationAssociationTypeId": "(val)",
  "negotiatorPersonId": "(val)",
  "negotiatorName": "(val)",
  "negotiationStartDate": "(val)",
  "negotiationEndDate": "(val)",
  "anticipatedAwardDate": "(val)",
  "documentFolder": "(val)",
  "associatedDocumentId": "(val)",
  "_primaryKey": "(val)"
}

Get All Negotiations
GET/negotiation/api/v1/negotiations/

Example URI

GET /negotiation/api/v1/negotiations/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "negotiationId": "(val)",
    "documentNumber": "(val)",
    "negotiationStatusId": "(val)",
    "negotiationAgreementTypeId": "(val)",
    "negotiationAssociationTypeId": "(val)",
    "negotiatorPersonId": "(val)",
    "negotiatorName": "(val)",
    "negotiationStartDate": "(val)",
    "negotiationEndDate": "(val)",
    "anticipatedAwardDate": "(val)",
    "documentFolder": "(val)",
    "associatedDocumentId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "negotiationId": "(val)",
    "documentNumber": "(val)",
    "negotiationStatusId": "(val)",
    "negotiationAgreementTypeId": "(val)",
    "negotiationAssociationTypeId": "(val)",
    "negotiatorPersonId": "(val)",
    "negotiatorName": "(val)",
    "negotiationStartDate": "(val)",
    "negotiationEndDate": "(val)",
    "anticipatedAwardDate": "(val)",
    "documentFolder": "(val)",
    "associatedDocumentId": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Negotiations with Filtering
GET/negotiation/api/v1/negotiations/

Example URI

GET /negotiation/api/v1/negotiations/
URI Parameters
HideShow
negotiationId
string (optional) 

Negotiation ID. Maximum length is 22.

documentNumber
string (optional) 

Document Number. Maximum length is 25.

negotiationStatusId
string (optional) 

Negotiation Status. Maximum length is 22.

negotiationAgreementTypeId
string (optional) 

Agreement Type. Maximum length is 22.

negotiationAssociationTypeId
string (optional) 

Negotiation Association Type. Maximum length is 22.

negotiatorPersonId
string (optional) 

Negotiator. Maximum length is 40.

negotiatorName
string (optional) 

Full Name. Maximum length is 90.

negotiationStartDate
string (optional) 

Start Date. Maximum length is 21.

negotiationEndDate
string (optional) 

End Date. Maximum length is 21.

anticipatedAwardDate
string (optional) 

Anticipated Award Date. Maximum length is 21.

documentFolder
string (optional) 

Document Folder. Maximum length is 255.

associatedDocumentId
string (optional) 

Negotiation Association ID. Maximum length is 25.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "negotiationId": "(val)",
    "documentNumber": "(val)",
    "negotiationStatusId": "(val)",
    "negotiationAgreementTypeId": "(val)",
    "negotiationAssociationTypeId": "(val)",
    "negotiatorPersonId": "(val)",
    "negotiatorName": "(val)",
    "negotiationStartDate": "(val)",
    "negotiationEndDate": "(val)",
    "anticipatedAwardDate": "(val)",
    "documentFolder": "(val)",
    "associatedDocumentId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "negotiationId": "(val)",
    "documentNumber": "(val)",
    "negotiationStatusId": "(val)",
    "negotiationAgreementTypeId": "(val)",
    "negotiationAssociationTypeId": "(val)",
    "negotiatorPersonId": "(val)",
    "negotiatorName": "(val)",
    "negotiationStartDate": "(val)",
    "negotiationEndDate": "(val)",
    "anticipatedAwardDate": "(val)",
    "documentFolder": "(val)",
    "associatedDocumentId": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Negotiations
GET/negotiation/api/v1/negotiations/

Example URI

GET /negotiation/api/v1/negotiations/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "negotiationId",
    "documentNumber",
    "negotiationStatusId",
    "negotiationAgreementTypeId",
    "negotiationAssociationTypeId",
    "negotiatorPersonId",
    "negotiatorName",
    "negotiationStartDate",
    "negotiationEndDate",
    "anticipatedAwardDate",
    "documentFolder",
    "associatedDocumentId"
  ],
  "primaryKey": "negotiationId"
}

Get Blueprint API specification for Negotiations
GET/negotiation/api/v1/negotiations/

Example URI

GET /negotiation/api/v1/negotiations/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Negotiations.md"
transfer-encoding: chunked

Update Negotiations
PUT/negotiation/api/v1/negotiations/(key)

Example URI

PUT /negotiation/api/v1/negotiations/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "negotiationId": "(val)",
  "documentNumber": "(val)",
  "negotiationStatusId": "(val)",
  "negotiationAgreementTypeId": "(val)",
  "negotiationAssociationTypeId": "(val)",
  "negotiatorPersonId": "(val)",
  "negotiatorName": "(val)",
  "negotiationStartDate": "(val)",
  "negotiationEndDate": "(val)",
  "anticipatedAwardDate": "(val)",
  "documentFolder": "(val)",
  "associatedDocumentId": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Negotiations
PUT/negotiation/api/v1/negotiations/

Example URI

PUT /negotiation/api/v1/negotiations/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "negotiationId": "(val)",
    "documentNumber": "(val)",
    "negotiationStatusId": "(val)",
    "negotiationAgreementTypeId": "(val)",
    "negotiationAssociationTypeId": "(val)",
    "negotiatorPersonId": "(val)",
    "negotiatorName": "(val)",
    "negotiationStartDate": "(val)",
    "negotiationEndDate": "(val)",
    "anticipatedAwardDate": "(val)",
    "documentFolder": "(val)",
    "associatedDocumentId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "negotiationId": "(val)",
    "documentNumber": "(val)",
    "negotiationStatusId": "(val)",
    "negotiationAgreementTypeId": "(val)",
    "negotiationAssociationTypeId": "(val)",
    "negotiatorPersonId": "(val)",
    "negotiatorName": "(val)",
    "negotiationStartDate": "(val)",
    "negotiationEndDate": "(val)",
    "anticipatedAwardDate": "(val)",
    "documentFolder": "(val)",
    "associatedDocumentId": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Negotiations
PATCH/negotiation/api/v1/negotiations/(key)

Example URI

PATCH /negotiation/api/v1/negotiations/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "negotiationId": "(val)",
  "documentNumber": "(val)",
  "negotiationStatusId": "(val)",
  "negotiationAgreementTypeId": "(val)",
  "negotiationAssociationTypeId": "(val)",
  "negotiatorPersonId": "(val)",
  "negotiatorName": "(val)",
  "negotiationStartDate": "(val)",
  "negotiationEndDate": "(val)",
  "anticipatedAwardDate": "(val)",
  "documentFolder": "(val)",
  "associatedDocumentId": "(val)",
  "_primaryKey": "(val)"
}
Response  204
HideShow
Body
{
  "negotiationId": "(val)",
  "documentNumber": "(val)",
  "negotiationStatusId": "(val)",
  "negotiationAgreementTypeId": "(val)",
  "negotiationAssociationTypeId": "(val)",
  "negotiatorPersonId": "(val)",
  "negotiatorName": "(val)",
  "negotiationStartDate": "(val)",
  "negotiationEndDate": "(val)",
  "anticipatedAwardDate": "(val)",
  "documentFolder": "(val)",
  "associatedDocumentId": "(val)",
  "_primaryKey": "(val)"
}

Insert Negotiations
POST/negotiation/api/v1/negotiations/

Example URI

POST /negotiation/api/v1/negotiations/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "negotiationId": "(val)",
  "documentNumber": "(val)",
  "negotiationStatusId": "(val)",
  "negotiationAgreementTypeId": "(val)",
  "negotiationAssociationTypeId": "(val)",
  "negotiatorPersonId": "(val)",
  "negotiatorName": "(val)",
  "negotiationStartDate": "(val)",
  "negotiationEndDate": "(val)",
  "anticipatedAwardDate": "(val)",
  "documentFolder": "(val)",
  "associatedDocumentId": "(val)",
  "_primaryKey": "(val)"
}
Response  201
HideShow
Body
{
  "negotiationId": "(val)",
  "documentNumber": "(val)",
  "negotiationStatusId": "(val)",
  "negotiationAgreementTypeId": "(val)",
  "negotiationAssociationTypeId": "(val)",
  "negotiatorPersonId": "(val)",
  "negotiatorName": "(val)",
  "negotiationStartDate": "(val)",
  "negotiationEndDate": "(val)",
  "anticipatedAwardDate": "(val)",
  "documentFolder": "(val)",
  "associatedDocumentId": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Negotiations
POST/negotiation/api/v1/negotiations/

Example URI

POST /negotiation/api/v1/negotiations/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "negotiationId": "(val)",
    "documentNumber": "(val)",
    "negotiationStatusId": "(val)",
    "negotiationAgreementTypeId": "(val)",
    "negotiationAssociationTypeId": "(val)",
    "negotiatorPersonId": "(val)",
    "negotiatorName": "(val)",
    "negotiationStartDate": "(val)",
    "negotiationEndDate": "(val)",
    "anticipatedAwardDate": "(val)",
    "documentFolder": "(val)",
    "associatedDocumentId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "negotiationId": "(val)",
    "documentNumber": "(val)",
    "negotiationStatusId": "(val)",
    "negotiationAgreementTypeId": "(val)",
    "negotiationAssociationTypeId": "(val)",
    "negotiatorPersonId": "(val)",
    "negotiatorName": "(val)",
    "negotiationStartDate": "(val)",
    "negotiationEndDate": "(val)",
    "anticipatedAwardDate": "(val)",
    "documentFolder": "(val)",
    "associatedDocumentId": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "negotiationId": "(val)",
    "documentNumber": "(val)",
    "negotiationStatusId": "(val)",
    "negotiationAgreementTypeId": "(val)",
    "negotiationAssociationTypeId": "(val)",
    "negotiatorPersonId": "(val)",
    "negotiatorName": "(val)",
    "negotiationStartDate": "(val)",
    "negotiationEndDate": "(val)",
    "anticipatedAwardDate": "(val)",
    "documentFolder": "(val)",
    "associatedDocumentId": "(val)",
[...]
